API recipes

Requests you can copy and run. Each one returns live data from the API.

Examples

Find areas with poor broadband coverage

Programming language

Select the programming language you want to display the code examples in.

Find areas with poor broadband coverage
Internet score is derived from public broadband coverage data. A score below 5 means underserved, useful for satellite internet providers, fixed wireless expansion, and rural connectivity grants.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&country_abbreviation=ca&page=1&property_type_in=House,Townhouse&province_abbreviation=sk&results_per_page=5&score_internet_lt=5&select=address,city,score_internet,demographic_municipal_population_density_sq_km,estimate_list_price"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_in', 'House,Townhouse');
    url.searchParams.set('province_abbreviation', 'sk');
    url.searchParams.set('results_per_page', '5');
    url.searchParams.set('score_internet_lt', '5');
    url.searchParams.set('select', 'address,city,score_internet,demographic_municipal_population_density_sq_km,estimate_list_price');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": false,
  "cost_cents": 1.6499999,
  "data": [
    {
      "address": "2 Imperial Acreage Highway",
      "city": "Big Arm No. 251",
      "demographic_municipal_population_density_sq_km": 0.3,
      "estimate_list_price": 505191,
      "property_id": "592b94dda830ed98",
      "score_internet": 4
    },
    {
      "address": "Imperial Acreage Highway2",
      "city": "Big Arm No. 251",
      "demographic_municipal_population_density_sq_km": 0.3,
      "estimate_list_price": 505191,
      "property_id": "ab76f7f000f59ef",
      "score_internet": 4
    },
    {
      "address": "1 Quarter Section Grainland Near Stalwart Sk",
      "city": "Big Arm No. 251",
      "demographic_municipal_population_density_sq_km": 0.3,
      "estimate_list_price": 543260,
      "property_id": "b8ba2812a0e36970",
      "score_internet": 4
    },
    {
      "address": "2 Quarters Pasture Near Liberty R Randall",
      "city": "Big Arm No. 251",
      "demographic_municipal_population_density_sq_km": 0.3,
      "estimate_list_price": 507235,
      "property_id": "e1377c19c863b971",
      "score_internet": 4
    },
    {
      "address": "Rm Big Arm 4 1/4S Mixed",
      "city": "Big Arm No. 251",
      "demographic_municipal_population_density_sq_km": 0.3,
      "estimate_list_price": 387397,
      "property_id": "e40c7b765e138b4b",
      "score_internet": 3
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 1655
  },
  "price_quote": false,
  "result_total": 8272,
  "time_ms": 15,
  "ui_info": {
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Saskatchewan",
    "province_abbreviation": "SK",
    "province_abbreviation_id": "9e918fc836441859",
    "province_abbreviation_link": "ca/sk",
    "province_slug": "saskatchewan"
  }
}